Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030317
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2015-07-02 09:462015-07-06 16:55
ReporterngarciaView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2.3
StatusclosedFix in branchFixed in SCM revisionee52eedc0ba3
ProjectionnoneETAnoneTarget Version3.0PR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-08-24
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/976a64153145b468099f13d78289ad45b4fb06c7 [^]
Triggers an Emergency PackNo
Summary

0030317: Reference with Search parent reference (old selector) is not working under some circumstances

DescriptionReference with Search parent reference (old selector) is not working under some circumstances
Steps To ReproduceAs system admin role:
   Add Name in Display Field field (Defined Selector tab) for the Product reference
As group admin role:
   Create a Sales Order
   Add a line, select one product in the Product selector and check the following error is shown (Developers tools):
      Uncaught TypeError: Cannot read property 'replace' of undefined
   As a consequence, the callout is not launched
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030297 closedalostale Reference with Search parent reference (old selector) is not working under some circumstances 

-  Notes
(0078672)
hgbot (developer)
2015-07-06 12:57

Repository: erp/backports/3.0PR15Q2.3
Changeset: ee52eedc0ba3dab0e1b9cb54b4582bb1057fed0a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jul 06 11:20:55 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/ee52eedc0ba3dab0e1b9cb54b4582bb1057fed0a [^]

fixed bug 30317: selectors with display field property fail

  They failed in case the display field property was not in the main property but
  in a referenced one. In this case, the property was tried to be obtained from the
  record object in an incorrect manner (path to the referred entity was removed).

  The fix preserves path to referred entity and checks for not null value before
  doing replacements in the string.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0078682)
AugustoMauch (developer)
2015-07-06 16:55

Code reviewed and verified in [1]@ee52eedc0ba3

[1] https://code.openbravo.com/erp/backports/3.0PR15Q2.3/ [^]

- Issue History
Date Modified Username Field Change
2015-07-06 11:13 alostale Type defect => backport
2015-07-06 11:13 alostale Target Version => 3.0PR15Q2.3
2015-07-06 11:35 alostale Review Assigned To => AugustoMauch
2015-07-06 12:57 hgbot Checkin
2015-07-06 12:57 hgbot Note Added: 0078672
2015-07-06 12:57 hgbot Status scheduled => resolved
2015-07-06 12:57 hgbot Resolution open => fixed
2015-07-06 12:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/ee52eedc0ba3dab0e1b9cb54b4582bb1057fed0a [^]
2015-07-06 16:55 AugustoMauch Note Added: 0078682
2015-07-06 16:55 AugustoMauch Status resolved => closed
2015-07-06 16:55 AugustoMauch Fixed in Version => 3.0PR15Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker